#language: ru

@mutual_settlements

Функционал: 006. mutual_settlements. Поступление безналичных ДС

Сценарий: 006.1. mutual_settlements. Создание поступления ДС для реализации товаров Лента

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.006. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2ПоступлениеБезналичныхДенежныхСредств" без контроля ссылок
	И Я начинаю создавать поступление ДС на основании реализации товаров "РеализацияЛентаВзаиморасчеты"
	И в поле с именем 'ДатаПлатежа' я ввожу текст '24.03.2021'
	И в поле с именем 'Дата' я ввожу текст '24.03.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'ПоступлениеБезналичныхДСЛента'
	* Проверка значений
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Лента'
		И элемент формы с именем "ДатаПлатежа" стал равен '24.03.2021'
		И элемент формы с именем "СуммаДокумента" стал равен '41 025,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И таблица "РасшифровкаПлатежа" стала равной:
			| 'Основание'                        | 'Объект расчета'                   | 'Сумма'     |
			| 'Соглашение с Лентой с 01.01.2021' | 'Соглашение с Лентой с 01.01.2021' | '41 025,00' |
	* Сохранение
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Поступление ДС * от * [Создан] (не проведен)'
	* Проведение
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Поступление ДС * от * [Создан]'
	И Я заканчиваю создавать поступление ДС на основании реализации товаров

Сценарий: 006.2. mutual_settlements. Проверка движений поступления ДС для реализации товаров Лента

	И Я проверяю движения поступления безналичных ДС "ПоступлениеБезналичныхДСЛента"

Сценарий: 006.3. mutual_settlements. Проверка невозможности создания поступления ДС по реализации с формой оплаты Наличными

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                   |
		| 'РеализацияТабрисВзаиморасчеты' |
	И я нажимаю на кнопку 'Поступление ДС'
	Тогда в логе сообщений TestClient есть строка "Нельзя создать документ оплаты безналичными ДС, т.к. форма оплаты Наличными"
	И Я закрываю окно 'Реализации товаров'
	
Сценарий: 006.4. mutual_settlements. Создание поступления ДС для реализации товаров Перекресток

	И Я начинаю создавать поступление ДС на основании реализации товаров "РеализацияПерекрестокВзаиморасчеты"
	И в поле с именем 'ДатаПлатежа' я ввожу текст '26.03.2021'
	И в поле с именем 'Дата' я ввожу текст '26.03.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'ПоступлениеБезналичныхДСПерекресток'
	И я перехожу к закладке с именем "СтраницаРасшифровкаПлатежа"
	И в таблице "РасшифровкаПлатежа" я перехожу к строке:
		| 'Объект расчета'                         | 'Основание'                              | 'Сумма'     |
		| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '27 750,00' |
	И в таблице "РасшифровкаПлатежа" в поле с именем 'РасшифровкаПлатежаСумма' я ввожу текст '15 000,00'
	И в таблице "РасшифровкаПлатежа" я завершаю редактирование строки
	* Проверка значений
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Перекресток'
		И элемент формы с именем "ДатаПлатежа" стал равен '26.03.2021'
		И элемент формы с именем "СуммаДокумента" стал равен '15 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И таблица "РасшифровкаПлатежа" стала равной:
			| 'Основание'                              | 'Объект расчета'                         | 'Сумма'     |
			| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '15 000,00' |
	И Я заканчиваю создавать поступление ДС на основании реализации товаров

Сценарий: 006.5. mutual_settlements. Проверка движений поступления ДС для реализации товаров Перекресток

	И Я проверяю движения поступления безналичных ДС "ПоступлениеБезналичныхДСПерекресток"

Сценарий: 006.6. mutual_settlements. Проверка отборов для поступлений ДС

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления безналичных ДС'
	Тогда открылось окно 'Поступления безналичных ДС'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Сумма'          | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Комментарий'                         |
		| '24.03.2021' | '41 025,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Лента'       | 'Бухгалтерия'   | 'ПоступлениеБезналичныхДСЛента'       |
		| '26.03.2021' | '15 000,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Перекресток' | 'Бухгалтерия'   | 'ПоступлениеБезналичныхДСПерекресток' |
	* Проверка отбора по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "24.03.2021" по "24.03.2021"
		Тогда открылось окно 'Поступления безналичных ДС'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Сумма'          | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Комментарий'                   |
			| '24.03.2021' | '41 025,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Лента'       | 'Бухгалтерия'   | 'ПоступлениеБезналичныхДСЛента' |
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Поступления безналичных ДС'
	* Проверка отбора по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Проверка отбора по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Проверка отбора по контрагенту
		И из выпадающего списка с именем "_Отбор_Контрагент" я выбираю по строке 'Лента'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Сумма'          | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Комментарий'                   |
			| '24.03.2021' | '41 025,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Лента'       | 'Бухгалтерия'   | 'ПоступлениеБезналичныхДСЛента' |
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	* Проверка отбора по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Проверка отбора по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Поступления безналичных ДС'

Сценарий: 006.7. mutual_settlements. Очистка отборов для поступлений ДС

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления безналичных ДС'
	* Очистка периода		
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Поступления безналичных ДС'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Поступления безналичных ДС'

Сценарий: 006.8. mutual_settlements. Создание поступления ДС вручную

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления безналичных ДС'
	Тогда открылось окно 'Поступления безналичных ДС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Поступление ДС (создание)'
	* Заполнение вкладки основное
		И в поле с именем 'Дата' я ввожу текст '27.03.2021  0:00:00'
		И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
		И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
		И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Лента'
		И в поле с именем 'ДатаПлатежа' я ввожу текст '27.03.2021'
		И в поле с именем 'Комментарий' я ввожу текст 'ТестовоеПоступлениеДС'
	* Заполнение расшифровки платежа
		И я перехожу к закладке с именем "СтраницаРасшифровкаПлатежа"
		И в таблице "РасшифровкаПлатежа" я нажимаю на кнопку с именем 'РасшифровкаПлатежаДобавить'
		* Основание
			И в таблице "РасшифровкаПлатежа" из выпадающего списка с именем "РасшифровкаПлатежаОснование" я выбираю по строке 'Соглашение с Лентой с 01.01.2021'
		* Объект расчета - реализация товаров
			И в таблице "РасшифровкаПлатежа" я нажимаю кнопку выбора у реквизита с именем "РасшифровкаПлатежаОбъектРасчета"
			Тогда открылось окно 'Выбор типа данных'
			И в таблице "" я перехожу к строке:
				| ''                   |
				| 'Реализация товаров' |
			И я нажимаю на кнопку 'ОК'
			Тогда открылось окно 'Реализации товаров'
			И в таблице "Список" я перехожу к строке:
				| 'Комментарий'                  |
				| 'РеализацияЛентаВзаиморасчеты' |
			И в таблице "Список" я выбираю текущую строку
			Тогда открылось окно 'Поступление ДС (создание) *'
		* Объект расчета - соглашение с контрагентом
			И в таблице "РасшифровкаПлатежа" я нажимаю кнопку выбора у реквизита с именем "РасшифровкаПлатежаОбъектРасчета"
			И Я выбираю "Соглашение с Лентой с 01.01.2021" с типом "Соглашение с контрагентом"
			Тогда открылось окно 'Поступление ДС (создание) *'
		* Сумма
			И в таблице "РасшифровкаПлатежа" в поле с именем 'РасшифровкаПлатежаСумма' я ввожу текст '12 000,00'
		И в таблице "РасшифровкаПлатежа" я завершаю редактирование строки
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Лента'
		И элемент формы с именем "ДатаПлатежа" стал равен '27.03.2021'
		И элемент формы с именем "Дата" стал равен '27.03.2021  0:00:00'
		И элемент формы с именем "СуммаДокумента" стал равен '12 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И таблица "РасшифровкаПлатежа" стала равной:
			| 'Основание'                        | 'Объект расчета'                   | 'Сумма'     |
			| 'Соглашение с Лентой с 01.01.2021' | 'Соглашение с Лентой с 01.01.2021' | '12 000,00' |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ТестовоеПоступлениеДС'
	И Я закрываю поступление ДС без сохранения